- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

# D:/Basile/VisualCppProjects/hydroMEX3/hydroMEX3/hydroMEX3.cpp File Reference

`#include "oGL_graphics/graphics_relative.h"`
`#include "oGL_graphics/solid_objects.h"`
`#include "math.h"`
`#include "mex.h"`
`#include "string.h"`
`#include "hydro_source/hydro_includes.h"`
`#include "CVODEincludes.h"`
`#include "timing/timing.h"`
`#include "f.h"`

Include dependency graph for hydroMEX3.cpp:

Go to the source code of this file.

## Defines
#define | MAXFLAGLEN 100
#define | pi 3.141592653589793
## Functions
void | mexFunction (int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
| Main function (mex function).

## Detailed Description

Author:
  basile.graf@epfl.ch

This is the main project file. It contains inteface to MATLAB and calls all the other routines.

Definition in file hydroMEX3.cpp.

## Define Documentation

#define MAXFLAGLEN 100

| Definition at line 37 of file hydroMEX3.cpp.

#define PI 3.141592653589793

| Definition at line 41 of file hydroMEX3.cpp.

#define pi 3.141592653589793

| Definition at line 40 of file hydroMEX3.cpp.

## Function Documentation

void mexFunction | ( | int | nlhs,
|  | mxArray * | plhs[],
|  | int | nrhs,
|  | const mxArray * | prhs[]
| ) |

  | Main function (mex function). This is the main function. It receives and returns pointers to the arguments to MATLAB. General initialisations and closing are done here. The main program loop is also in this function. Parameters:
  | nlhs | Number of left hand side arguments in the MATLAB prompt
  | *plhs[] | Array of pointers to the left hand side arguments from MATLAB prompt
  | nrhs | Number of right hand side arguments in the MATLAB prompt
  | *prhs[] | Array of pointers to the right hand side arguments from MATLAB prompt
< IMPORTANT VARIABLES: < parameters Par; parameters structure (from MATLAB) < parameters *P; pointer to Par, will be passed to many functions < joy_parameters jPar; joystick parameters structure (from MATLAB) < joy_parameters *jP; pointer to jPar, will be passed to other functions < datas dat; model data structure containing all model (physics) informations < pointer to dat, will be passed to many many functions < ODE_data f_dats; solver data structure, contains pointer to the other structures and some solver relative informations < ODE_data *f_dat; pointer to f_dats, will be passed to solver relative functions Definition at line 56 of file hydroMEX3.cpp. References Boat_create(), Boat_delete(), ODE_data::d, data_init(), data_update_param(), data_update_state(), delete_state(), draw_graphics(), draw_graphics_init(), draw_graphics_kill(), free_wave_variables(), get_joystick_parameters(), get_Parameters(), get_state(), get_time(), initParameters(), ODE_data::P, pass_joy_parameters(), return_args(), solve_ODE(), solver_free(), solver_init(), ODE_data::state, datas::t, tic(), ODE_data::time_param, toc(), and wave_init().